## tensorflow 2.3.1

=== debian/changelog ===
tensorflow (2.3.1-1) experimental; urgency=medium

  [ Wookey ]
  * Complete initial packaging (Closes: #959765)
    (build with bazel3, install files, symlinks, verbose builds)
  * Remove unused embedded tarballs
  * Remove rpaths
  * Add pkgconfig files
  * Force clean builds
  * Update Copyright to 2.3.1
  * Enable debug builds/packages
  * Use system libpng, highwayhash, jsoncpp, protoc
  * Update symbols

  [ Michael R. Crusoe ]
  * Restart packaging using bazel-bootstrap

  [ Andreas Tille ]
  * New upstream version 2.3.1
  * Move package to Debian Deep Learning Team
  * Uncomment python3-tensorflow
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * cme fix dpkg-control

 -- Wookey <wookey@debian.org>  Thu, 10 Jun 2021 09:33:55 +0000

tensorflow (2.0.0-1) experimental; urgency=medium

  * New upstream version 2.0.0 (Oct 2019).
  * Rewrite the buildsystem, which reconstructs the dependency graph
    by parsing the Bazel buildlog, and subsequently generates a Ninja
    build to approximate the original build sequence.
    + Bazel2Json.py: reads build command sequence from raw buildlog
      of bazel, and stores result into a json file.
    + Json2Ninja.py: read build sequence from json file, understand
      each command line and rebuild the dependency graph. It also
      scans the C++ header includes to avoid surprising FTBFS.
  * Build the following 3 shared objects (standard tensorflow v2):
    + libtensorflow_framework.so.2  (foundamental lib)
    + libtensorflow.so.2            (C interface)
    + libtensorflow_cc.so.2         (C++ interface)

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 26 Oct 2019 11:10:28 +0800

=== debian/control ===
Source: tensorflow
Maintainer: Debian Deep Learning Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <crusoe@debian.org>,
           Andreas Tille <tille@debian.org>,
	   Wookey <wookey@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               chrpath,
               rsync,
               android-libboringssl-dev,
               libcurl4-nss-dev,
               libdouble-conversion-dev,
               libfarmhash-dev,
               libgemmlowp-dev,
               libgif-dev,
               libgrpc++-dev (>= 1.23~),
               libgrpc-dev (>= 1.23~),
               libgtest-dev,
               libhighwayhash-dev,
               libhwloc-dev,
               libicu-dev,
               libjpeg62-turbo-dev,
               libjsoncpp-dev,
               liblmdb-dev,
               libdnnl-dev [amd64 arm64 ppc64el s390x],
               libnsync-dev,
               libpng-dev,
               libprotobuf-dev (>= 3.8~),
               libprotoc-dev (>= 3.8~),
               libre2-dev,
               libsnappy-dev,
               libsqlite3-dev,
               libssl-dev,
               libsuperlu-dev,
               bazel-bootstrap,
               protobuf-compiler (>= 3.8.0~),
               protobuf-compiler-grpc (>= 1.23~),
               python3,
               python3-all-dev,
               python3-future,
               python3-keras,
               python3-keras-applications,
               python3-keras-preprocessing,
               python3-mock,
               python3-numpy,
               python3-setuptools,
               python3-tqdm,
               python3-wheel,
               swig,
               zlib1g-dev,
               nasm
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/deeplearning-team/tensorflow
Vcs-Git: https://salsa.debian.org/deeplearning-team/tensorflow.git
Homepage: https://tensorflow.org/

# MISSING features: tensorflow lite, tensorflow extended, tensorflow.js
Package: libtensorflow-framework2
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
# I copied some detail about this shared object from tensorflow/BUILD
Description: Computation using data flow graphs for scalable machine learning
 TensorFlow is an open source software library for numerical computation
 using data flow graphs. The graph nodes represent mathematical operations,
 while the graph edges represent the multidimensional data arrays (tensors)
 that flow between them. This flexible architecture enables you to deploy
 computation to one or more CPUs or GPUs in a desktop, server, or mobile
 device without rewriting code.
 .
 This package ships shared object libtensorflow_framework.so.2.0
 .
 A shared object which includes registration mechanisms for ops and
 kernels. Does not include the implementations of any ops or kernels.
 Instead, the library which loads libtensorflow_framework.so
 (e.g. _pywrap_tensorflow_internal.so for Python, libtensorflow.so for the C
 API) is responsible for registering ops with libtensorflow_framework.so. In
 addition to this core set of ops, user libraries which are loaded (via
 TF_LoadLibrary/tf.load_op_library) register their ops and kernels with this
 shared object directly.
 .
 For example, from Python tf.load_op_library loads a custom op library (via
 dlopen() on Linux), the library finds libtensorflow_framework.so (no
 filesystem search takes place, since libtensorflow_framework.so has already
 been loaded by pywrap_tensorflow) and registers its ops and kernels via
 REGISTER_OP and REGISTER_KERNEL_BUILDER (which use symbols from
 libtensorflow_framework.so), and pywrap_tensorflow can then use these
 ops. Since other languages use the same libtensorflow_framework.so, op
 libraries are language agnostic.

#Package: libtensorflow2
#Architecture: any
#Multi-Arch: same
#Section: libs
#Depends: ${misc:Depends},
#         ${shlibs:Depends},
#         libtensorflow-framework2 (= ${binary:Version})
#Description: Computation using data flow graphs for scalable machine learning (C)
# TensorFlow is an open source software library for numerical computation
# using data flow graphs. The graph nodes represent mathematical operations,
# while the graph edges represent the multidimensional data arrays (tensors)
# that flow between them. This flexible architecture enables you to deploy
# computation to one or more CPUs or GPUs in a desktop, server, or mobile
# device without rewriting code.
# .
# This package ships shared object libtensorflow.so.2.0, which exports
# C API for TensorFlow (i.e. symbols named "*TF_*" or "*TFE_*").

Package: libtensorflow-cc2
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libtensorflow-framework2 (= ${binary:Version}),
#libtensorflow2 (= ${binary:Version})
Description: Computation using data flow graphs for scalable machine learning (C++)
 TensorFlow is an open source software library for numerical computation
 using data flow graphs. The graph nodes represent mathematical operations,
 while the graph edges represent the multidimensional data arrays (tensors)
 that flow between them. This flexible architecture enables you to deploy
 computation to one or more CPUs or GPUs in a desktop, server, or mobile
 device without rewriting code.
 .
 This package ships shared object libtensorflow_cc.so.2.0, which exports
 C++ API for TensorFlow (i.e. *tensorflow* *TF_* *TFE_* *pywrap_xla*).

Package: libtensorflow-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libtensorflow-framework2 (= ${binary:Version}),
         libtensorflow-cc2 (= ${binary:Version})
Description: Computation using data flow graphs for scalable machine learning (dev)
 TensorFlow is an open source software library for numerical computation
 using data flow graphs. The graph nodes represent mathematical operations,
 while the graph edges represent the multidimensional data arrays (tensors)
 that flow between them. This flexible architecture enables you to deploy
 computation to one or more CPUs or GPUs in a desktop, server, or mobile
 device without rewriting code.
 .
 This package ships C and C++ headers files for tensorflow.

#Package: python3-tensorflow
#Architecture: any
#Multi-Arch: foreign
#Depends: ${misc:Depends},
#         ${shlibs:Depends},
#         libtensorflow-framework2 (= ${binary:Version})
#Description: Computation using data flow graphs for scalable machine learning (Py3)
# TensorFlow is an open source software library for numerical computation
# using data flow graphs. The graph nodes represent mathematical operations,
# while the graph edges represent the multidimensional data arrays (tensors)
# that flow between them. This flexible architecture enables you to deploy
# computation to one or more CPUs or GPUs in a desktop, server, or mobile
# device without rewriting code.
# .
# This package ships Python3 interface of tensorflow.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYTHON_BIN_PATH=/usr/bin/python3
export TF_IGNORE_MAX_BAZEL_VERSION=1
export HOME=/tmp
# not $(CURDIR), that leads to recursive symlinks
PREFIX=/usr
LIB_PATH=lib/$(DEB_HOST_MULTIARCH)
PKG_VERSION=$(shell dpkg-parsechangelog -S version | cut -d- -f1)
ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
        BAZELOPTS=-s
endif


%:
	dh $@

override_dh_auto_configure:
	printf '%s\n%s\n%s\n%s\n%s\n%s\n%s\n' /usr/lib/python3/dist-packages N N N N -Wno-sign-compare N | ./configure

override_dh_auto_build:
	bazel build \
		-k $(BAZELOPTS)\
		--verbose_failures \
		--repository_cache= \
		--config=opt \
		--copt=-g \
		--proto_compiler=protoc \
		--repo_env=TF_SYSTEM_LIBS=nsync,curl,double_conversion,snappy,gif,zlib,com_google_protobuf,com_github_grpc_grpc,jsoncpp_git,libjpeg_turbo,nasm,png,highwayhash \
		--override_repository=bazel_skylib=$(CURDIR)/debian/mock_repos/bazel_skylib \
		--override_repository=rules_cc=$(CURDIR)/debian/mock_repos/rules_cc \
		--override_repository=rules_java=$(CURDIR)/debian/mock_repos/rules_java \
		//tensorflow:tensorflow_cc
	bazel build \
		-k $(BAZELOPTS)\
		--verbose_failures \
		--repository_cache= \
		--config=opt \
		--copt=-g \
		--proto_compiler=protoc \
		--repo_env=TF_SYSTEM_LIBS=nsync,curl,double_conversion,snappy,gif,zlib,com_google_protobuf,com_github_grpc_grpc,jsoncpp_git,libjpeg_turbo,nasm,png,highwayhash \
		--override_repository=bazel_skylib=$(CURDIR)/debian/mock_repos/bazel_skylib \
		--override_repository=rules_cc=$(CURDIR)/debian/mock_repos/rules_cc \
		--override_repository=rules_java=$(CURDIR)/debian/mock_repos/rules_java \
		//tensorflow:tensorflow_framework
	#generate pkgconfig files
	for libname in tensorflow_cc tensorflow_framework; \
	do \
		sed -r -e 's/^(Version: ).*$$/\1$(PKG_VERSION)/' debian/lib$${libname}.pc.in > debian/lib$${libname}.pc; \
		sed -i -e 's:@PREFIX@:$(PREFIX):' debian/lib$${libname}.pc; \
		sed -i -e 's:@LIB_PATH@:$(LIB_PATH):' debian/lib$${libname}.pc; \
	done


override_dh_install:
	# install pkgconfig files
	mkdir -p debian/tmp/usr/$(LIB_PATH)/pkgconfig/
	mv debian/libtensorflow_cc.pc debian/tmp/usr/$(LIB_PATH)/pkgconfig/
	mv debian/libtensorflow_framework.pc debian/tmp/usr/$(LIB_PATH)/pkgconfig/
	# get rid of spurious .params files
	dh_install
	rm -f debian/libtensorflow-*/usr/lib/$(DEB_HOST_MULTIARCH)/*.params
	chrpath -d debian/libtensorflow-framework2/usr/lib/$(DEB_HOST_MULTIARCH)/*.so.*
	chrpath -d debian/libtensorflow-cc2/usr/lib/$(DEB_HOST_MULTIARCH)/*.so.*
	# make missing .so links until we can persuade the build to do it
	dh_link -p libtensorflow-cc2 usr/lib/$(DEB_HOST_MULTIARCH)/libtensorflow_cc.so.2.3.1 usr/lib/$(DEB_HOST_MULTIARCH)/libtensorflow_cc.so.2
	dh_link -p libtensorflow-dev usr/lib/$(DEB_HOST_MULTIARCH)/libtensorflow_cc.so.2.3.1 usr/lib/$(DEB_HOST_MULTIARCH)/libtensorflow_cc.so
	rsync -av --include=*/ --include=*.h --exclude=* --prune-empty-dirs --chmod=F644 --mkpath bazel-out/k8-opt/bin/tensorflow/  debian/libtensorflow-dev/usr/include/tensorflow

#nobble the tests for now
DEB_BUILD_OPTIONS += nocheck
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	bazel test \
		-k \
		--verbose_failures \
		--repository_cache= \
		--config=opt \
		--distdir=./debian/dist \
		--repo_env=TF_SYSTEM_LIBS=nsync,curl,double_conversion,snappy,gif,zlib,com_google_protobuf,com_github_grpc_grpc,jsoncpp_git,libjpeg_turbo,nasm \
		--override_repository=bazel_skylib=$(CURDIR)/debian/mock_repos/bazel_skylib \
		--override_repository=rules_cc=$(CURDIR)/debian/mock_repos/rules_cc \
		--override_repository=rules_java=$(CURDIR)/debian/mock_repos/rules_java \
		//tensorflow/cc/...
endif

#dwz needs extra debug space
override_dh_dwz:
	dh_dwz -- -L none

override_dh_clean:
	bazel clean --expunge
	rm -rf /tmp/.cache/bazel
	dh_clean

## tensorflow 2.4.0

=== DESCRIPTION ===
Package: tensorflow
Type: Package
Title: R Interface to 'TensorFlow'
Version: 2.4.0
Authors@R: c(
  person("Daniel", "Falbel", role = c("ctb", "cph", "cre"), email = "daniel@rstudio.com"),
  person("JJ", "Allaire", role = c("aut", "cph")),
  person(family = "RStudio", role = c("cph", "fnd")),
  person("Yuan", "Tang", role = c("aut", "cph"),
         email = "terrytangyuan@gmail.com",
         comment = c(ORCID = "0000-0001-5243-233X")),
  person("Dirk", "Eddelbuettel", role = c("ctb", "cph"),
         email = "edd@debian.org"),
  person("Nick", "Golding", role = c("ctb", "cph"),
         email = "nick.golding.research@gmail.com"),
  person("Tomasz", "Kalinowski", role = c("ctb", "cph")),
  person(family = "Google Inc.", role = c("ctb", "cph"),
         comment = "Examples and Tutorials")
  )
Description: Interface to 'TensorFlow' <https://www.tensorflow.org/>, 
  an open source software library for numerical computation using data
  flow graphs. Nodes in the graph represent mathematical operations, 
  while the graph edges represent the multidimensional data arrays 
  (tensors) communicated between them. The flexible architecture allows
  you to deploy computation to one or more 'CPUs' or 'GPUs' in a desktop, 
  server, or mobile device with a single 'API'. 'TensorFlow' was originally
  developed by researchers and engineers working on the Google Brain Team 
  within Google's Machine Intelligence research organization for the 
  purposes of conducting machine learning and deep neural networks research,
  but the system is general enough to be applicable in a wide variety
  of other domains as well.
License: Apache License 2.0
URL: https://github.com/rstudio/tensorflow
BugReports: https://github.com/rstudio/tensorflow/issues
SystemRequirements: TensorFlow (https://www.tensorflow.org/)
Encoding: UTF-8
LazyData: true
Depends: R (>= 3.1)
Imports: config, jsonlite (>= 1.2), processx, reticulate (>= 1.10),
        tfruns (>= 1.0), utils, yaml, rstudioapi (>= 0.7)
Suggests: testthat (>= 2.1.0), keras, tfestimators, callr
RoxygenNote: 7.1.1
Config/reticulate: list( packages = list( list(package = "tensorflow",
        pip = TRUE) ) )
NeedsCompilation: no
Packaged: 2021-03-23 21:10:54 UTC; dfalbel
Author: Daniel Falbel [ctb, cph, cre],
  JJ Allaire [aut, cph],
  RStudio [cph, fnd],
  Yuan Tang [aut, cph] (<https://orcid.org/0000-0001-5243-233X>),
  Dirk Eddelbuettel [ctb, cph],
  Nick Golding [ctb, cph],
  Tomasz Kalinowski [ctb, cph],
  Google Inc. [ctb, cph] (Examples and Tutorials)
Maintainer: Daniel Falbel <daniel@rstudio.com>
Repository: CRAN
Date/Publication: 2021-03-23 21:40:02 UTC

## tensorflow 2.5.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Package: tensorflow
 Type: Package
 Title: R Interface to 'TensorFlow'
-Version: 2.4.0
+Version: 2.5.0
 Authors@R: c(
-  person("Daniel", "Falbel", role = c("ctb", "cph", "cre"), email = "daniel@rstudio.com"),
+  person("Daniel", "Falbel", role = c("ctb", "cph"), email = "daniel@rstudio.com"),
   person("JJ", "Allaire", role = c("aut", "cph")),
   person(family = "RStudio", role = c("cph", "fnd")),
   person("Yuan", "Tang", role = c("aut", "cph"),
@@ -13,7 +13,8 @@
          email = "edd@debian.org"),
   person("Nick", "Golding", role = c("ctb", "cph"),
          email = "nick.golding.research@gmail.com"),
-  person("Tomasz", "Kalinowski", role = c("ctb", "cph")),
+  person("Tomasz", "Kalinowski", role = c("ctb", "cph", "cre"), 
+         email = "tomasz.kalinowski@rstudio.com"),
   person(family = "Google Inc.", role = c("ctb", "cph"),
          comment = "Examples and Tutorials")
   )
@@ -34,7 +35,6 @@
 BugReports: https://github.com/rstudio/tensorflow/issues
 SystemRequirements: TensorFlow (https://www.tensorflow.org/)
 Encoding: UTF-8
-LazyData: true
 Depends: R (>= 3.1)
 Imports: config, jsonlite (>= 1.2), processx, reticulate (>= 1.10),
         tfruns (>= 1.0), utils, yaml, rstudioapi (>= 0.7)
@@ -43,15 +43,15 @@
 Config/reticulate: list( packages = list( list(package = "tensorflow",
         pip = TRUE) ) )
 NeedsCompilation: no
-Packaged: 2021-03-23 21:10:54 UTC; dfalbel
-Author: Daniel Falbel [ctb, cph, cre],
+Packaged: 2021-06-10 13:02:52 UTC; tomasz
+Author: Daniel Falbel [ctb, cph],
   JJ Allaire [aut, cph],
   RStudio [cph, fnd],
   Yuan Tang [aut, cph] (<https://orcid.org/0000-0001-5243-233X>),
   Dirk Eddelbuettel [ctb, cph],
   Nick Golding [ctb, cph],
-  Tomasz Kalinowski [ctb, cph],
+  Tomasz Kalinowski [ctb, cph, cre],
   Google Inc. [ctb, cph] (Examples and Tutorials)
-Maintainer: Daniel Falbel <daniel@rstudio.com>
+Maintainer: Tomasz Kalinowski <tomasz.kalinowski@rstudio.com>
 Repository: CRAN
-Date/Publication: 2021-03-23 21:40:02 UTC
+Date/Publication: 2021-06-10 15:30:06 UTC

## tensorflow 2.6.0

=== DESCRIPTION ===
Package: tensorflow
Type: Package
Title: R Interface to 'TensorFlow'
Version: 2.6.0
Authors@R: c(
  person("Daniel", "Falbel", role = c("ctb", "cph"), email = "daniel@rstudio.com"),
  person("JJ", "Allaire", role = c("aut", "cph")),
  person(family = "RStudio", role = c("cph", "fnd")),
  person("Yuan", "Tang", role = c("aut", "cph"),
         email = "terrytangyuan@gmail.com",
         comment = c(ORCID = "0000-0001-5243-233X")),
  person("Dirk", "Eddelbuettel", role = c("ctb", "cph"),
         email = "edd@debian.org"),
  person("Nick", "Golding", role = c("ctb", "cph"),
         email = "nick.golding.research@gmail.com"),
  person("Tomasz", "Kalinowski", role = c("ctb", "cph", "cre"),
         email = "tomasz.kalinowski@rstudio.com"),
  person(family = "Google Inc.", role = c("ctb", "cph"),
         comment = "Examples and Tutorials")
  )
Description: Interface to 'TensorFlow' <https://www.tensorflow.org/>,
  an open source software library for numerical computation using data
  flow graphs. Nodes in the graph represent mathematical operations,
  while the graph edges represent the multidimensional data arrays
  (tensors) communicated between them. The flexible architecture allows
  you to deploy computation to one or more 'CPUs' or 'GPUs' in a desktop,
  server, or mobile device with a single 'API'. 'TensorFlow' was originally
  developed by researchers and engineers working on the Google Brain Team
  within Google's Machine Intelligence research organization for the
  purposes of conducting machine learning and deep neural networks research,
  but the system is general enough to be applicable in a wide variety
  of other domains as well.
License: Apache License 2.0
URL: https://github.com/rstudio/tensorflow
BugReports: https://github.com/rstudio/tensorflow/issues
SystemRequirements: TensorFlow (https://www.tensorflow.org/)
Encoding: UTF-8
Depends: R (>= 3.1)
Imports: config, processx, reticulate (>= 1.10), tfruns (>= 1.0),
        utils, yaml, tfautograph (>= 0.3), rstudioapi (>= 0.7)
Suggests: testthat (>= 2.1.0), keras, callr
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2021-08-19 18:24:44 UTC; tomasz
Author: Daniel Falbel [ctb, cph],
  JJ Allaire [aut, cph],
  RStudio [cph, fnd],
  Yuan Tang [aut, cph] (<https://orcid.org/0000-0001-5243-233X>),
  Dirk Eddelbuettel [ctb, cph],
  Nick Golding [ctb, cph],
  Tomasz Kalinowski [ctb, cph, cre],
  Google Inc. [ctb, cph] (Examples and Tutorials)
Maintainer: Tomasz Kalinowski <tomasz.kalinowski@rstudio.com>
Repository: CRAN
Date/Publication: 2021-08-19 18:50:02 UTC

## tensorflow 2.7.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: tensorflow
 Type: Package
 Title: R Interface to 'TensorFlow'
-Version: 2.6.0
+Version: 2.7.0
 Authors@R: c(
   person("Daniel", "Falbel", role = c("ctb", "cph"), email = "daniel@rstudio.com"),
   person("JJ", "Allaire", role = c("aut", "cph")),
@@ -37,11 +37,11 @@
 Encoding: UTF-8
 Depends: R (>= 3.1)
 Imports: config, processx, reticulate (>= 1.10), tfruns (>= 1.0),
-        utils, yaml, tfautograph (>= 0.3), rstudioapi (>= 0.7)
+        utils, yaml, tfautograph (>= 0.3.1), rstudioapi (>= 0.7)
 Suggests: testthat (>= 2.1.0), keras, callr
-RoxygenNote: 7.1.1
+RoxygenNote: 7.1.2
 NeedsCompilation: no
-Packaged: 2021-08-19 18:24:44 UTC; tomasz
+Packaged: 2021-11-09 15:59:06 UTC; tomasz
 Author: Daniel Falbel [ctb, cph],
   JJ Allaire [aut, cph],
   RStudio [cph, fnd],
@@ -52,4 +52,4 @@
   Google Inc. [ctb, cph] (Examples and Tutorials)
 Maintainer: Tomasz Kalinowski <tomasz.kalinowski@rstudio.com>
 Repository: CRAN
-Date/Publication: 2021-08-19 18:50:02 UTC
+Date/Publication: 2021-11-09 16:20:02 UTC

## tensorflow 2.8.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Package: tensorflow
 Type: Package
 Title: R Interface to 'TensorFlow'
-Version: 2.7.0
+Version: 2.8.0
 Authors@R: c(
   person("Daniel", "Falbel", role = c("ctb", "cph"), email = "daniel@rstudio.com"),
   person("JJ", "Allaire", role = c("aut", "cph")),
-  person(family = "RStudio", role = c("cph", "fnd")),
+  person("RStudio", role = c("cph", "fnd")),
   person("Yuan", "Tang", role = c("aut", "cph"),
          email = "terrytangyuan@gmail.com",
          comment = c(ORCID = "0000-0001-5243-233X")),
@@ -15,7 +15,7 @@
          email = "nick.golding.research@gmail.com"),
   person("Tomasz", "Kalinowski", role = c("ctb", "cph", "cre"),
          email = "tomasz.kalinowski@rstudio.com"),
-  person(family = "Google Inc.", role = c("ctb", "cph"),
+  person("Google Inc.", role = c("ctb", "cph"),
          comment = "Examples and Tutorials")
   )
 Description: Interface to 'TensorFlow' <https://www.tensorflow.org/>,
@@ -36,12 +36,12 @@
 SystemRequirements: TensorFlow (https://www.tensorflow.org/)
 Encoding: UTF-8
 Depends: R (>= 3.1)
-Imports: config, processx, reticulate (>= 1.10), tfruns (>= 1.0),
+Imports: config, processx, reticulate (>= 1.24), tfruns (>= 1.0),
         utils, yaml, tfautograph (>= 0.3.1), rstudioapi (>= 0.7)
 Suggests: testthat (>= 2.1.0), keras, callr
 RoxygenNote: 7.1.2
 NeedsCompilation: no
-Packaged: 2021-11-09 15:59:06 UTC; tomasz
+Packaged: 2022-02-09 20:29:08 UTC; tomasz
 Author: Daniel Falbel [ctb, cph],
   JJ Allaire [aut, cph],
   RStudio [cph, fnd],
@@ -52,4 +52,4 @@
   Google Inc. [ctb, cph] (Examples and Tutorials)
 Maintainer: Tomasz Kalinowski <tomasz.kalinowski@rstudio.com>
 Repository: CRAN
-Date/Publication: 2021-11-09 16:20:02 UTC
+Date/Publication: 2022-02-09 21:00:02 UTC

## tensorflow 2.9.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: tensorflow
 Type: Package
 Title: R Interface to 'TensorFlow'
-Version: 2.8.0
+Version: 2.9.0
 Authors@R: c(
   person("Daniel", "Falbel", role = c("ctb", "cph"), email = "daniel@rstudio.com"),
   person("JJ", "Allaire", role = c("aut", "cph")),
@@ -37,11 +37,12 @@
 Encoding: UTF-8
 Depends: R (>= 3.1)
 Imports: config, processx, reticulate (>= 1.24), tfruns (>= 1.0),
-        utils, yaml, tfautograph (>= 0.3.1), rstudioapi (>= 0.7)
+        utils, yaml, grDevices, tfautograph (>= 0.3.1), rstudioapi (>=
+        0.7)
 Suggests: testthat (>= 2.1.0), keras, callr
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.0
 NeedsCompilation: no
-Packaged: 2022-02-09 20:29:08 UTC; tomasz
+Packaged: 2022-05-21 00:28:36 UTC; tomasz
 Author: Daniel Falbel [ctb, cph],
   JJ Allaire [aut, cph],
   RStudio [cph, fnd],
@@ -52,4 +53,4 @@
   Google Inc. [ctb, cph] (Examples and Tutorials)
 Maintainer: Tomasz Kalinowski <tomasz.kalinowski@rstudio.com>
 Repository: CRAN
-Date/Publication: 2022-02-09 21:00:02 UTC
+Date/Publication: 2022-05-21 07:20:02 UTC

## tensorflow 2.11.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: tensorflow
 Type: Package
 Title: R Interface to 'TensorFlow'
-Version: 2.9.0
+Version: 2.11.0
 Authors@R: c(
   person("Daniel", "Falbel", role = c("ctb", "cph"), email = "daniel@rstudio.com"),
   person("JJ", "Allaire", role = c("aut", "cph")),
@@ -40,9 +40,9 @@
         utils, yaml, grDevices, tfautograph (>= 0.3.1), rstudioapi (>=
         0.7)
 Suggests: testthat (>= 2.1.0), keras, callr
-RoxygenNote: 7.2.0
+RoxygenNote: 7.2.3
 NeedsCompilation: no
-Packaged: 2022-05-21 00:28:36 UTC; tomasz
+Packaged: 2022-12-19 14:24:03 UTC; tomasz
 Author: Daniel Falbel [ctb, cph],
   JJ Allaire [aut, cph],
   RStudio [cph, fnd],
@@ -53,4 +53,4 @@
   Google Inc. [ctb, cph] (Examples and Tutorials)
 Maintainer: Tomasz Kalinowski <tomasz.kalinowski@rstudio.com>
 Repository: CRAN
-Date/Publication: 2022-05-21 07:20:02 UTC
+Date/Publication: 2022-12-19 15:00:02 UTC

## tensorflow 2.13.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: tensorflow
 Type: Package
 Title: R Interface to 'TensorFlow'
-Version: 2.11.0
+Version: 2.13.0
 Authors@R: c(
   person("Daniel", "Falbel", role = c("ctb", "cph"), email = "daniel@rstudio.com"),
   person("JJ", "Allaire", role = c("aut", "cph")),
@@ -35,14 +35,14 @@
 BugReports: https://github.com/rstudio/tensorflow/issues
 SystemRequirements: TensorFlow (https://www.tensorflow.org/)
 Encoding: UTF-8
-Depends: R (>= 3.1)
-Imports: config, processx, reticulate (>= 1.24), tfruns (>= 1.0),
+Depends: R (>= 3.6)
+Imports: config, processx, reticulate (>= 1.31), tfruns (>= 1.0),
         utils, yaml, grDevices, tfautograph (>= 0.3.1), rstudioapi (>=
         0.7)
-Suggests: testthat (>= 2.1.0), keras, callr
+Suggests: testthat (>= 2.1.0), keras, pillar, callr
 RoxygenNote: 7.2.3
 NeedsCompilation: no
-Packaged: 2022-12-19 14:24:03 UTC; tomasz
+Packaged: 2023-08-15 15:51:30 UTC; tomasz
 Author: Daniel Falbel [ctb, cph],
   JJ Allaire [aut, cph],
   RStudio [cph, fnd],
@@ -53,4 +53,4 @@
   Google Inc. [ctb, cph] (Examples and Tutorials)
 Maintainer: Tomasz Kalinowski <tomasz.kalinowski@rstudio.com>
 Repository: CRAN
-Date/Publication: 2022-12-19 15:00:02 UTC
+Date/Publication: 2023-08-15 16:30:02 UTC

## tensorflow 2.14.0

=== DESCRIPTION ===
Package: tensorflow
Type: Package
Title: R Interface to 'TensorFlow'
Version: 2.14.0
Authors@R: c(
  person("JJ", "Allaire", role = c("aut", "cph")),
  person("Tomasz", "Kalinowski", role = c("ctb", "cph", "cre"),
         email = "tomasz.kalinowski@posit.co"),
  person("Daniel", "Falbel", role = c("ctb", "cph"), email = "daniel@posit.co"),
  person("Dirk", "Eddelbuettel", role = c("ctb", "cph"),
         email = "edd@debian.org"),
  person("Yuan", "Tang", role = c("aut", "cph"),
         email = "terrytangyuan@gmail.com",
         comment = c(ORCID = "0000-0001-5243-233X")),
  person("Nick", "Golding", role = c("ctb", "cph"),
         email = "nick.golding.research@gmail.com"),
  person("Google Inc.", role = c("ctb", "cph"),
         comment = "Examples and Tutorials"),
  person("Posit, PBC", role = c("cph", "fnd"))
  )
Description: Interface to 'TensorFlow' <https://www.tensorflow.org/>,
  an open source software library for numerical computation using data
  flow graphs. Nodes in the graph represent mathematical operations,
  while the graph edges represent the multidimensional data arrays
  (tensors) communicated between them. The flexible architecture allows
  you to deploy computation to one or more 'CPUs' or 'GPUs' in a desktop,
  server, or mobile device with a single 'API'. 'TensorFlow' was originally
  developed by researchers and engineers working on the Google Brain Team
  within Google's Machine Intelligence research organization for the
  purposes of conducting machine learning and deep neural networks research,
  but the system is general enough to be applicable in a wide variety
  of other domains as well.
License: Apache License 2.0
URL: https://github.com/rstudio/tensorflow
BugReports: https://github.com/rstudio/tensorflow/issues
SystemRequirements: TensorFlow (https://www.tensorflow.org/)
Encoding: UTF-8
Depends: R (>= 3.6)
Imports: config, processx, reticulate (>= 1.32), tfruns (>= 1.0),
        utils, yaml, grDevices, tfautograph (>= 0.3.1), rstudioapi (>=
        0.7), lifecycle
Suggests: testthat (>= 2.1.0), keras, pillar, withr, callr
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2023-09-28 12:50:39 UTC; tomasz
Author: JJ Allaire [aut, cph],
  Tomasz Kalinowski [ctb, cph, cre],
  Daniel Falbel [ctb, cph],
  Dirk Eddelbuettel [ctb, cph],
  Yuan Tang [aut, cph] (<https://orcid.org/0000-0001-5243-233X>),
  Nick Golding [ctb, cph],
  Google Inc. [ctb, cph] (Examples and Tutorials),
  Posit, PBC [cph, fnd]
Maintainer: Tomasz Kalinowski <tomasz.kalinowski@posit.co>
Repository: CRAN
Date/Publication: 2023-09-28 15:50:02 UTC
